Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5160)
@@ -1064,5 +1064,5 @@
     ENDIF
 
-    IF (prt_level >=10) print *, ' -> pbl_surface, itap ', itap
+    IF (prt_level >=10) PRINT *, ' -> pbl_surface, itap ', itap
 
     !!jyg      iflag_split = mod(iflag_pbl_split,2)
@@ -1577,5 +1577,5 @@
     loop_nbsrf: DO nsrf = 1, nbsrf                                        !<<<<<<<<<<<<<
       !<<<<<<<<<<<<<
-      IF (prt_level >=10) print *, ' Loop nsrf ', nsrf
+      IF (prt_level >=10) PRINT *, ' Loop nsrf ', nsrf
 
       IF (iflag_split_ref == 3) THEN
@@ -1601,5 +1601,5 @@
       !!! jyg le 19/08/2012
       !       IF (knon <= 0) THEN
-      !         IF (prt_level >= 10) print *,' no grid point for nsrf= ',nsrf
+      !         IF (prt_level >= 10) PRINT *,' no grid point for nsrf= ',nsrf
       !         cycle loop_nbsrf
       !       ENDIF
@@ -1785,6 +1785,6 @@
 
         IF (prt_level >= 10) THEN
-          print *, 'pbl_surface, wake_s(1), wake_dlt(1,:) ', wake_s(1), wake_dlt(1, :)
-          print *, 'pbl_surface, wake_s(1), wake_dlq(1,:) ', wake_s(1), wake_dlq(1, :)
+          PRINT *, 'pbl_surface, wake_s(1), wake_dlt(1,:) ', wake_s(1), wake_dlt(1, :)
+          PRINT *, 'pbl_surface, wake_s(1), wake_dlq(1,:) ', wake_s(1), wake_dlq(1, :)
         ENDIF
 
@@ -1888,5 +1888,5 @@
         IF (ok_prescr_ust) THEN
           DO i = 1, knon
-            print *, 'ycdragm avant=', ycdragm(i)
+            PRINT *, 'ycdragm avant=', ycdragm(i)
             vent = sqrt(yu(i, 1) * yu(i, 1) + yv(i, 1) * yv(i, 1))
             !      ycdragm(i) = ust*ust/(1.+(yu(i,1)*yu(i,1)+yv(i,1)*yv(i,1)))
@@ -1894,9 +1894,9 @@
             !     *sqrt(yu(i,1)*yu(i,1)+yv(i,1)*yv(i,1)))
             ycdragm(i) = ust * ust / (1. + vent) / vent
-            !      print *,'ycdragm ust yu yv apres=',ycdragm(i),ust,yu(i,1),yv(i,1)
+            !      PRINT *,'ycdragm ust yu yv apres=',ycdragm(i),ust,yu(i,1),yv(i,1)
           ENDDO
         ENDIF
 
-        IF (prt_level >=10) print *, 'cdrag -> ycdragh ', ycdragh(1:knon)
+        IF (prt_level >=10) PRINT *, 'cdrag -> ycdragh ', ycdragh(1:knon)
       ELSE  !(iflag_split .EQ.0)
 
@@ -1921,11 +1921,11 @@
         IF (ok_prescr_ust) THEN
           DO i = 1, knon
-            !         print *,'ycdragm_x avant=',ycdragm_x(i)
+            !         PRINT *,'ycdragm_x avant=',ycdragm_x(i)
             vent = sqrt(yu_x(i, 1) * yu_x(i, 1) + yv_x(i, 1) * yv_x(i, 1))
             ycdragm_x(i) = ust * ust / (1. + vent) / vent
-            !         print *,'ycdragm_x ust yu yv apres=',ycdragm_x(i),ust,yu_x(i,1),yv_x(i,1)
+            !         PRINT *,'ycdragm_x ust yu yv apres=',ycdragm_x(i),ust,yu_x(i,1),yv_x(i,1)
           ENDDO
         ENDIF
-        IF (prt_level >=10) print *, 'clcdrag -> ycdragh_x ', ycdragh_x(1:knon)
+        IF (prt_level >=10) PRINT *, 'clcdrag -> ycdragh_x ', ycdragh_x(1:knon)
 
         ! Faire disparaitre les lignes commentees fin 2015 (le temps des tests)
@@ -1954,11 +1954,11 @@
         IF (ok_prescr_ust) THEN
           DO i = 1, knon
-            !         print *,'ycdragm_w avant=',ycdragm_w(i)
+            !         PRINT *,'ycdragm_w avant=',ycdragm_w(i)
             vent = sqrt(yu_w(i, 1) * yu_w(i, 1) + yv_w(i, 1) * yv_w(i, 1))
             ycdragm_w(i) = ust * ust / (1. + vent) / vent
-            !         print *,'ycdragm_w ust yu yv apres=',ycdragm_w(i),ust,yu_w(i,1),yv_w(i,1)
+            !         PRINT *,'ycdragm_w ust yu yv apres=',ycdragm_w(i),ust,yu_w(i,1),yv_w(i,1)
           ENDDO
         ENDIF
-        IF (prt_level >=10) print *, 'clcdrag -> ycdragh_w ', ycdragh_w(1:knon)
+        IF (prt_level >=10) PRINT *, 'clcdrag -> ycdragh_w ', ycdragh_w(1:knon)
         !!!
       ENDIF  ! (iflag_split .EQ.0)
@@ -1975,14 +1975,14 @@
         !!! nrlmd & jyg les 02/05/2011, 13/06/2011, 05/02/2012
         IF (prt_level >=10) THEN
-          print *, ' args coef_diff_turb: yu ', yu(1:knon, :)
-          print *, ' args coef_diff_turb: yv ', yv(1:knon, :)
-          print *, ' args coef_diff_turb: yq ', yq(1:knon, :)
-          print *, ' args coef_diff_turb: yt ', yt(1:knon, :)
-          print *, ' args coef_diff_turb: yts ', yts(1:knon)
-          print *, ' args coef_diff_turb: yz0m ', yz0m(1:knon)
-          print *, ' args coef_diff_turb: yqsurf ', yqsurf(1:knon)
-          print *, ' args coef_diff_turb: ycdragm ', ycdragm(1:knon)
-          print *, ' args coef_diff_turb: ycdragh ', ycdragh(1:knon)
-          print *, ' args coef_diff_turb: ytke ', ytke(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yu ', yu(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yv ', yv(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yq ', yq(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yt ', yt(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yts ', yts(1:knon)
+          PRINT *, ' args coef_diff_turb: yz0m ', yz0m(1:knon)
+          PRINT *, ' args coef_diff_turb: yqsurf ', yqsurf(1:knon)
+          PRINT *, ' args coef_diff_turb: ycdragm ', ycdragm(1:knon)
+          PRINT *, ' args coef_diff_turb: ycdragh ', ycdragh(1:knon)
+          PRINT *, ' args coef_diff_turb: ytke ', ytke(1:knon, :)
         ENDIF
 
@@ -2012,18 +2012,18 @@
         ENDIF ! iflag_pbl >= 50
 
-        IF (prt_level >=10) print *, 'coef_diff_turb -> ycoefh ', ycoefh(1:knon, :)
+        IF (prt_level >=10) PRINT *, 'coef_diff_turb -> ycoefh ', ycoefh(1:knon, :)
 
       ELSE  !(iflag_split .EQ.0)
 
         IF (prt_level >=10) THEN
-          print *, ' args coef_diff_turb: yu_x ', yu_x(1:knon, :)
-          print *, ' args coef_diff_turb: yv_x ', yv_x(1:knon, :)
-          print *, ' args coef_diff_turb: yq_x ', yq_x(1:knon, :)
-          print *, ' args coef_diff_turb: yt_x ', yt_x(1:knon, :)
-          print *, ' args coef_diff_turb: yts_x ', yts_x(1:knon)
-          print *, ' args coef_diff_turb: yqsurf ', yqsurf(1:knon)
-          print *, ' args coef_diff_turb: ycdragm_x ', ycdragm_x(1:knon)
-          print *, ' args coef_diff_turb: ycdragh_x ', ycdragh_x(1:knon)
-          print *, ' args coef_diff_turb: ytke_x ', ytke_x(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yu_x ', yu_x(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yv_x ', yv_x(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yq_x ', yq_x(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yt_x ', yt_x(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yts_x ', yts_x(1:knon)
+          PRINT *, ' args coef_diff_turb: yqsurf ', yqsurf(1:knon)
+          PRINT *, ' args coef_diff_turb: ycdragm_x ', ycdragm_x(1:knon)
+          PRINT *, ' args coef_diff_turb: ycdragh_x ', ycdragh_x(1:knon)
+          PRINT *, ' args coef_diff_turb: ytke_x ', ytke_x(1:knon, :)
         ENDIF
 
@@ -2054,16 +2054,16 @@
         ENDIF ! iflag_pbl >= 50
 
-        IF (prt_level >=10) print *, 'coef_diff_turb -> ycoefh_x ', ycoefh_x(1:knon, :)
+        IF (prt_level >=10) PRINT *, 'coef_diff_turb -> ycoefh_x ', ycoefh_x(1:knon, :)
 
         IF (prt_level >=10) THEN
-          print *, ' args coef_diff_turb: yu_w ', yu_w(1:knon, :)
-          print *, ' args coef_diff_turb: yv_w ', yv_w(1:knon, :)
-          print *, ' args coef_diff_turb: yq_w ', yq_w(1:knon, :)
-          print *, ' args coef_diff_turb: yt_w ', yt_w(1:knon, :)
-          print *, ' args coef_diff_turb: yts_w ', yts_w(1:knon)
-          print *, ' args coef_diff_turb: yqsurf ', yqsurf(1:knon)
-          print *, ' args coef_diff_turb: ycdragm_w ', ycdragm_w(1:knon)
-          print *, ' args coef_diff_turb: ycdragh_w ', ycdragh_w(1:knon)
-          print *, ' args coef_diff_turb: ytke_w ', ytke_w(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yu_w ', yu_w(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yv_w ', yv_w(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yq_w ', yq_w(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yt_w ', yt_w(1:knon, :)
+          PRINT *, ' args coef_diff_turb: yts_w ', yts_w(1:knon)
+          PRINT *, ' args coef_diff_turb: yqsurf ', yqsurf(1:knon)
+          PRINT *, ' args coef_diff_turb: ycdragm_w ', ycdragm_w(1:knon)
+          PRINT *, ' args coef_diff_turb: ycdragh_w ', ycdragh_w(1:knon)
+          PRINT *, ' args coef_diff_turb: ytke_w ', ytke_w(1:knon, :)
         ENDIF
 
@@ -2093,5 +2093,5 @@
         ENDIF ! iflag_pbl >= 50
 
-        IF (prt_level >=10) print *, 'coef_diff_turb -> ycoefh_w ', ycoefh_w(1:knon, :)
+        IF (prt_level >=10) PRINT *, 'coef_diff_turb -> ycoefh_w ', ycoefh_w(1:knon, :)
 
         !!!jyg le 10/04/2013
@@ -2567,17 +2567,17 @@
         )
         IF (prt_level >=10) THEN
-          print *, 'arg de surf_ocean: ycdragh ', ycdragh(1:knon)
-          print *, 'arg de surf_ocean: ycdragm ', ycdragm(1:knon)
-          print *, 'arg de surf_ocean: yt ', yt(1:knon, :)
-          print *, 'arg de surf_ocean: yq ', yq(1:knon, :)
-          print *, 'arg de surf_ocean: yts ', yts(1:knon)
-          print *, 'arg de surf_ocean: AcoefH ', AcoefH(1:knon)
-          print *, 'arg de surf_ocean: AcoefQ ', AcoefQ(1:knon)
-          print *, 'arg de surf_ocean: BcoefH ', BcoefH(1:knon)
-          print *, 'arg de surf_ocean: BcoefQ ', BcoefQ(1:knon)
-          print *, 'arg de surf_ocean: yevap ', yevap(1:knon)
-          print *, 'arg de surf_ocean: yfluxsens ', yfluxsens(1:knon)
-          print *, 'arg de surf_ocean: yfluxlat ', yfluxlat(1:knon)
-          print *, 'arg de surf_ocean: ytsurf_new ', ytsurf_new(1:knon)
+          PRINT *, 'arg de surf_ocean: ycdragh ', ycdragh(1:knon)
+          PRINT *, 'arg de surf_ocean: ycdragm ', ycdragm(1:knon)
+          PRINT *, 'arg de surf_ocean: yt ', yt(1:knon, :)
+          PRINT *, 'arg de surf_ocean: yq ', yq(1:knon, :)
+          PRINT *, 'arg de surf_ocean: yts ', yts(1:knon)
+          PRINT *, 'arg de surf_ocean: AcoefH ', AcoefH(1:knon)
+          PRINT *, 'arg de surf_ocean: AcoefQ ', AcoefQ(1:knon)
+          PRINT *, 'arg de surf_ocean: BcoefH ', BcoefH(1:knon)
+          PRINT *, 'arg de surf_ocean: BcoefQ ', BcoefQ(1:knon)
+          PRINT *, 'arg de surf_ocean: yevap ', yevap(1:knon)
+          PRINT *, 'arg de surf_ocean: yfluxsens ', yfluxsens(1:knon)
+          PRINT *, 'arg de surf_ocean: yfluxlat ', yfluxlat(1:knon)
+          PRINT *, 'arg de surf_ocean: ytsurf_new ', ytsurf_new(1:knon)
         ENDIF
         ! Special DICE MPL 05082013 puis BOMEX MPL 20150410
@@ -2870,5 +2870,5 @@
 
       IF (prt_level >= 10) THEN
-        print *, 'pbl_surface, ybeta , yevap, yevap_pot ', &
+        PRINT *, 'pbl_surface, ybeta , yevap, yevap_pot ', &
                 ybeta(1:knon), yevap(1:knon), yevap_pot(1:knon)
       ENDIF  ! (prt_level >= 10)
@@ -3045,5 +3045,5 @@
 
         IF (prt_level >=10) THEN
-          print *, 'After climbing up, lfuxlat_x, fluxlat_w ', &
+          PRINT *, 'After climbing up, lfuxlat_x, fluxlat_w ', &
                   yfluxlat_x(1:knon), yfluxlat_w(1:knon)
         ENDIF
@@ -3195,5 +3195,5 @@
         ENDDO
         IF (prt_level >=10) THEN
-          print *, ' nsrf, flux_t(:,1,nsrf), flux_t_x(:,1,nsrf), flux_t_w(:,1,nsrf) ', &
+          PRINT *, ' nsrf, flux_t(:,1,nsrf), flux_t_x(:,1,nsrf), flux_t_w(:,1,nsrf) ', &
                   nsrf, flux_t(:, 1, nsrf), flux_t_x(:, 1, nsrf), flux_t_w(:, 1, nsrf)
         ENDIF
@@ -3488,5 +3488,5 @@
 
       IF (prt_level >=10) THEN
-        print *, 'pbl_surface tendencies for w: d_t_w, d_t_x, d_t ', &
+        PRINT *, 'pbl_surface tendencies for w: d_t_w, d_t_x, d_t ', &
                 d_t_w(1:knon, 1), d_t_x(1:knon, 1), d_t(1:knon, 1)
       ENDIF
@@ -3734,5 +3734,5 @@
 
       IF (prt_level >=10) THEN
-        print *, 'T2m, q2m, RH2m ', &
+        PRINT *, 'T2m, q2m, RH2m ', &
                 t2m(1:knon, :), q2m(1:knon, :), rh2m(1:knon)
       ENDIF
@@ -3748,15 +3748,15 @@
                 ytherm, ytrmb1, ytrmb2, ytrmb3, ylcl)
         IF (prt_level >=10) THEN
-          print *, ' Arg. de HBTM: yt2m ', yt2m(1:knon)
-          print *, ' Arg. de HBTM: yt10m ', yt10m(1:knon)
-          print *, ' Arg. de HBTM: yq2m ', yq2m(1:knon)
-          print *, ' Arg. de HBTM: yq10m ', yq10m(1:knon)
-          print *, ' Arg. de HBTM: yustar ', yustar(1:knon)
-          print *, ' Arg. de HBTM: y_flux_t ', y_flux_t(1:knon, :)
-          print *, ' Arg. de HBTM: y_flux_q ', y_flux_q(1:knon, :)
-          print *, ' Arg. de HBTM: yu ', yu(1:knon, :)
-          print *, ' Arg. de HBTM: yv ', yv(1:knon, :)
-          print *, ' Arg. de HBTM: yt ', yt(1:knon, :)
-          print *, ' Arg. de HBTM: yq ', yq(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yt2m ', yt2m(1:knon)
+          PRINT *, ' Arg. de HBTM: yt10m ', yt10m(1:knon)
+          PRINT *, ' Arg. de HBTM: yq2m ', yq2m(1:knon)
+          PRINT *, ' Arg. de HBTM: yq10m ', yq10m(1:knon)
+          PRINT *, ' Arg. de HBTM: yustar ', yustar(1:knon)
+          PRINT *, ' Arg. de HBTM: y_flux_t ', y_flux_t(1:knon, :)
+          PRINT *, ' Arg. de HBTM: y_flux_q ', y_flux_q(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yu ', yu(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yv ', yv(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yt ', yt(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yq ', yq(1:knon, :)
         ENDIF
       ELSE  ! (iflag_split .EQ.0)
@@ -3767,15 +3767,15 @@
                 ytherm_x, ytrmb1_x, ytrmb2_x, ytrmb3_x, ylcl_x)
         IF (prt_level >=10) THEN
-          print *, ' Arg. de HBTM: yt2m_x ', yt2m_x(1:knon)
-          print *, ' Arg. de HBTM: yt10m_x ', yt10m_x(1:knon)
-          print *, ' Arg. de HBTM: yq2m_x ', yq2m_x(1:knon)
-          print *, ' Arg. de HBTM: yq10m_x ', yq10m_x(1:knon)
-          print *, ' Arg. de HBTM: yustar_x ', yustar_x(1:knon)
-          print *, ' Arg. de HBTM: y_flux_t_x ', y_flux_t_x(1:knon, :)
-          print *, ' Arg. de HBTM: y_flux_q_x ', y_flux_q_x(1:knon, :)
-          print *, ' Arg. de HBTM: yu_x ', yu_x(1:knon, :)
-          print *, ' Arg. de HBTM: yv_x ', yv_x(1:knon, :)
-          print *, ' Arg. de HBTM: yt_x ', yt_x(1:knon, :)
-          print *, ' Arg. de HBTM: yq_x ', yq_x(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yt2m_x ', yt2m_x(1:knon)
+          PRINT *, ' Arg. de HBTM: yt10m_x ', yt10m_x(1:knon)
+          PRINT *, ' Arg. de HBTM: yq2m_x ', yq2m_x(1:knon)
+          PRINT *, ' Arg. de HBTM: yq10m_x ', yq10m_x(1:knon)
+          PRINT *, ' Arg. de HBTM: yustar_x ', yustar_x(1:knon)
+          PRINT *, ' Arg. de HBTM: y_flux_t_x ', y_flux_t_x(1:knon, :)
+          PRINT *, ' Arg. de HBTM: y_flux_q_x ', y_flux_q_x(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yu_x ', yu_x(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yv_x ', yv_x(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yt_x ', yt_x(1:knon, :)
+          PRINT *, ' Arg. de HBTM: yq_x ', yq_x(1:knon, :)
         ENDIF
         CALL HBTM(knon, ypaprs, ypplay, &
@@ -3806,7 +3806,7 @@
         ENDDO
         IF (prt_level >=10) THEN
-          print *, 'After HBTM: pblh ', pblh(1:knon, :)
-          print *, 'After HBTM: plcl ', plcl(1:knon, :)
-          print *, 'After HBTM: cteiCL ', cteiCL(1:knon, :)
+          PRINT *, 'After HBTM: pblh ', pblh(1:knon, :)
+          PRINT *, 'After HBTM: plcl ', plcl(1:knon, :)
+          PRINT *, 'After HBTM: cteiCL ', cteiCL(1:knon, :)
         ENDIF
       ELSE  !(iflag_split .EQ.0)
@@ -3826,7 +3826,7 @@
         ENDDO
         IF (prt_level >=10) THEN
-          print *, 'After HBTM: pblh_x ', pblh_x(1:knon, :)
-          print *, 'After HBTM: plcl_x ', plcl_x(1:knon, :)
-          print *, 'After HBTM: cteiCL_x ', cteiCL_x(1:knon, :)
+          PRINT *, 'After HBTM: pblh_x ', pblh_x(1:knon, :)
+          PRINT *, 'After HBTM: plcl_x ', plcl_x(1:knon, :)
+          PRINT *, 'After HBTM: cteiCL_x ', cteiCL_x(1:knon, :)
         ENDIF
         DO j = 1, knon
@@ -3845,7 +3845,7 @@
         ENDDO
         IF (prt_level >=10) THEN
-          print *, 'After HBTM: pblh_w ', pblh_w(1:knon, :)
-          print *, 'After HBTM: plcl_w ', plcl_w(1:knon, :)
-          print *, 'After HBTM: cteiCL_w ', cteiCL_w(1:knon, :)
+          PRINT *, 'After HBTM: pblh_w ', pblh_w(1:knon, :)
+          PRINT *, 'After HBTM: plcl_w ', plcl_w(1:knon, :)
+          PRINT *, 'After HBTM: cteiCL_w ', cteiCL_w(1:knon, :)
         ENDIF
         !!!
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5160)
@@ -315,5 +315,5 @@
       ! have to use (hour-dtphys).
       CALL ymds2ju(annee_ref, 1, idayref, hour - pdtphys, zjulian)
-      print *, 'phys_output_mod: annee,iday,hour,zjulian=', annee_ref, idayref, hour, zjulian
+      PRINT *, 'phys_output_mod: annee,iday,hour,zjulian=', annee_ref, idayref, hour, zjulian
     ELSE
       CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5160)
@@ -461,4 +461,5 @@
     USE lmdz_wxios, ONLY: wxios_closedef, missing_val_xios=>missing_val, wxios_set_context
     USE phys_cal_mod, ONLY: mth_len
+    USE lmdz_phys_constants, ONLY: dobson_u
 
 #ifdef CPP_RRTM
@@ -507,6 +508,4 @@
     INTEGER, DIMENSION(nbp_lon*nbp_lat)  :: ndex2d
     INTEGER, DIMENSION(nbp_lon*nbp_lat*klev) :: ndex3d
-    REAL, PARAMETER :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
-!   REAL, PARAMETER :: missing_val=nf90_fill_real
     REAL, DIMENSION(klev+1,2) :: Ahyb_bounds, Bhyb_bounds
     REAL, DIMENSION(klev,2) :: Ahyb_mid_bounds, Bhyb_mid_bounds
@@ -586,5 +585,5 @@
     ! ug la boucle qui suit ne sert qu'une fois, pour l'initialisation, sinon il n'y a toujours qu'un seul passage:
     DO iinit=1, iinitend
-!      print *,'IFF iinit=', iinit, iinitend 
+!      PRINT *,'IFF iinit=', iinit, iinitend
        IF (using_xios) THEN
          !$OMP MASTER
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5160)
@@ -91,4 +91,8 @@
     USE phys_output_var_mod, ONLY: cloudth_sth, cloudth_senv, cloudth_sigmath, cloudth_sigmaenv
     USE phys_output_var_mod, ONLY: cloud_cover_sw, cloud_cover_sw_s2
+    USE lmdz_plevel_new, ONLY: plevel_new
+    USE lmdz_moy_undefstd, ONLY: moy_undefstd
+    USE lmdz_undefstd, ONLY: undefstd
+    USE lmdz_ini_undefstd, ONLY: ini_undefstd
 
     USE lmdz_geometry, ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
@@ -104,5 +108,5 @@
     USE paramLMDZ_phy_mod
 
-    USE phytracr_spl_mod, ONLY: phytracr_spl, phytracr_spl_out_init
+    USE lmdz_phytracr_spl, ONLY: phytracr_spl, phytracr_spl_out_init
     USE phys_output_write_spl_mod
     USE phytrac_mod, ONLY: phytrac_init, phytrac
@@ -111,5 +115,9 @@
     USE lmdz_calcul_divers, ONLY: calcul_divers
 
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DUST, CPPKEY_COSP, CPPKEY_COSP2, CPPKEY_COSPV2
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DUST, CPPKEY_COSP, CPPKEY_COSP2, CPPKEY_COSPV2, CPPKEY_STRATAER
+    USE phys_local_var_mod, ONLY: d_q_emiss
+    USE strataer_local_var_mod
+    USE strataer_nuc_mod, ONLY: strataer_nuc_init
+    USE strataer_emiss_mod, ONLY: strataer_emiss_init
 
     !!!!!!!!!!!!!!!!!! "USE" section for CPP keys !!!!!!!!!!!!!!!!!!!!!!!!
@@ -126,11 +134,4 @@
     USE YOERAD, ONLY: NRADLP
 #endif
-
-    USE phys_local_var_mod, ONLY: d_q_emiss
-    USE strataer_local_var_mod
-    USE strataer_nuc_mod, ONLY: strataer_nuc_init
-    USE strataer_emiss_mod, ONLY: strataer_emiss_init
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
-
 
     !!!!!!!!!!!!!!!!!!  END "USE" for CPP keys !!!!!!!!!!!!!!!!!!!!!!
@@ -356,6 +357,6 @@
     USE lmdz_dimpft, ONLY: nvm_lmdz
     USE lmdz_yoethf
-
     USE lmdz_yomcst
+    USE lmdz_phys_constants, ONLY: dobson_u
 
     IMPLICIT NONE
@@ -808,6 +809,4 @@
     REAL zmasse(klon, nbp_lev), exner(klon, nbp_lev)
     !     (column-density of mass of air in a cell, in kg m-2)
-    REAL, parameter :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
-
     !IM sorties
     REAL un_jour
@@ -831,9 +830,6 @@
     EXTERNAL suphel    ! initialiser certaines constantes
     EXTERNAL transp    ! transport total de l'eau et de l'energie
-    !IM
+
     EXTERNAL haut2bas  !variables de haut en bas
-    EXTERNAL ini_undefSTD  !initialise a 0 une variable a 1 niveau de pression
-    EXTERNAL undefSTD !somme les valeurs definies d'1 var a 1 niveau de pression
-    !     EXTERNAL moy_undefSTD  !moyenne d'1 var a 1 niveau de pression
     ! EXTERNAL moyglo_aire
     ! moyenne globale d'1 var ponderee par l'aire de la maille (moyglo_pondaire)
@@ -1509,5 +1505,5 @@
     ENDIF
 
-    IF (prt_level>=1) print *, 'CONVERGENCE PHYSIQUE THERM 1 '
+    IF (prt_level>=1) PRINT *, 'CONVERGENCE PHYSIQUE THERM 1 '
 
     !======================================================================
@@ -1623,9 +1619,9 @@
       IF (nbapp_cv == 0) nbapp_cv = 86400. / phys_tstep
       IF (nbapp_wk == 0) nbapp_wk = 86400. / phys_tstep
-      print *, 'physiq, nbapp_cv, nbapp_wk ', nbapp_cv, nbapp_wk
+      PRINT *, 'physiq, nbapp_cv, nbapp_wk ', nbapp_cv, nbapp_wk
       IF (MOD(NINT(86400. / phys_tstep), nbapp_cv)==0) THEN
         cvpas_0 = NINT(86400. / phys_tstep) / nbapp_cv
         cvpas = cvpas_0
-        print *, 'physiq, cvpas ', cvpas
+        PRINT *, 'physiq, cvpas ', cvpas
       ELSE
         WRITE(lunout, *) 'le nombre de pas de temps physique doit etre un ', &
@@ -1639,5 +1635,5 @@
       IF (MOD(NINT(86400. / phys_tstep), nbapp_wk)==0) THEN
         wkpas = NINT(86400. / phys_tstep) / nbapp_wk
-        !       print *,'physiq, wkpas ',wkpas
+        !       PRINT *,'physiq, wkpas ',wkpas
       ELSE
         WRITE(lunout, *) 'le nombre de pas de temps physique doit etre un ', &
@@ -2765,7 +2761,7 @@
       !!jyg       IF (prt_level .ge. 2 .AND. mod(iflag_pbl_split,2) .EQ. 1) THEN
       IF (prt_level >= 2 .AND. mod(iflag_pbl_split, 10) >= 1) THEN
-        print *, 'debut du splitting de la PBL, wake_s = ', wake_s(:)
-        print *, 'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:, 1)
-        print *, 'debut du splitting de la PBL, wake_deltaq = ', wake_deltaq(:, 1)
+        PRINT *, 'debut du splitting de la PBL, wake_s = ', wake_s(:)
+        PRINT *, 'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:, 1)
+        PRINT *, 'debut du splitting de la PBL, wake_deltaq = ', wake_deltaq(:, 1)
       ENDIF
       ! !!
@@ -3008,5 +3004,5 @@
 
     !!jyg    IF (MOD(itapcv,cvpas).EQ.0) THEN
-    !!    print *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
+    !!    PRINT *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
     !!                       itapcv, cvpas, itap-1, cvpas_0
     IF (MOD(itapcv, cvpas)==0 .OR. MOD(itap - 1, cvpas_0)==0) THEN
@@ -3115,5 +3111,5 @@
         !>jyg
 
-        !!      print *,'physiq. q_w(1,k), q_x(1,k) ', &
+        !!      PRINT *,'physiq. q_w(1,k), q_x(1,k) ', &
         !!             (k, q_w(1,k), q_x(1,k),k=1,25)
 
@@ -3212,5 +3208,5 @@
                       abs(d_q_con(i, k)) > dqcon_multistep_max) THEN
                 cvpas = 1
-                !!                 print *,'physiq1, i,k,d_t_con(i,k),d_q_con(i,k) ', &
+                !!                 PRINT *,'physiq1, i,k,d_t_con(i,k),d_q_con(i,k) ', &
                 !!                                   i,k,d_t_con(i,k),d_q_con(i,k)
               ENDIF
@@ -3349,5 +3345,5 @@
     ENDIF
     IF (mod(itap, 1000) == 0) THEN
-      print *, ' physiq, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
+      PRINT *, ' physiq, nombre de steps ou cvpas = 1 : ', Ncvpaseq1
     ENDIF
 
@@ -3475,7 +3471,7 @@
 
       IF (prt_level >= 10) THEN
-        print *, ' physiq, after calwake, wake_s: ', wake_s(:)
-        print *, ' physiq, after calwake, wake_deltat: ', wake_deltat(:, 1)
-        print *, ' physiq, after calwake, wake_deltaq: ', wake_deltaq(:, 1)
+        PRINT *, ' physiq, after calwake, wake_s: ', wake_s(:)
+        PRINT *, ' physiq, after calwake, wake_deltat: ', wake_deltat(:, 1)
+        PRINT *, ' physiq, after calwake, wake_deltaq: ', wake_deltaq(:, 1)
       ENDIF
 
@@ -3754,5 +3750,5 @@
     !-------------------------------------------------------------------------
     IF (prt_level >=10) THEN
-      print *, 'itap, ->fisrtilp ', itap
+      PRINT *, 'itap, ->fisrtilp ', itap
     ENDIF
 
@@ -4445,5 +4441,5 @@
 
         IF (prt_level >=10) THEN
-          print *, ' ->radlwsw, number 1 '
+          PRINT *, ' ->radlwsw, number 1 '
         ENDIF
 
@@ -4524,5 +4520,5 @@
 
           IF (prt_level >=10) THEN
-            print *, ' ->radlwsw, number 2 '
+            PRINT *, ' ->radlwsw, number 2 '
           ENDIF
 
@@ -4699,5 +4695,5 @@
 
     IF (prt_level >=10) THEN
-      print *, ' CALL orography ? ', ok_orodr
+      PRINT *, ' CALL orography ? ', ok_orodr
     ENDIF
 
@@ -4913,7 +4909,7 @@
         flh2o = 1
         IF(flag_verbose_strataer) THEN
-          print *, 'IN physiq_mod: ok_qemiss =yes (', ok_qemiss, '), flh2o=', flh2o
-          print *, 'IN physiq_mod: flag_emit=', flag_emit, ', nErupt=', nErupt
-          print *, 'IN physiq_mod: nAerErupt=', nAerErupt
+          PRINT *, 'IN physiq_mod: ok_qemiss =yes (', ok_qemiss, '), flh2o=', flh2o
+          PRINT *, 'IN physiq_mod: flag_emit=', flag_emit, ', nErupt=', nErupt
+          PRINT *, 'IN physiq_mod: nAerErupt=', nAerErupt
         ENDIF
 
@@ -4926,5 +4922,5 @@
                     day_cur<(day_emit_vol(ieru) + injdur)) THEN
 
-              IF(flag_verbose_strataer) print *, 'IN physiq_mod: date=', year_cur, mth_cur, day_cur
+              IF(flag_verbose_strataer) PRINT *, 'IN physiq_mod: date=', year_cur, mth_cur, day_cur
               ! initialisation of q tendency emission
               d_q_emiss(:, :) = 0.
@@ -4941,5 +4937,5 @@
                       nAerErupt + 1, 0)
 
-              IF(flag_verbose_strataer) print *, 'IN physiq_mod: min max d_q_emiss=', &
+              IF(flag_verbose_strataer) PRINT *, 'IN physiq_mod: min max d_q_emiss=', &
                       minval(d_q_emiss), maxval(d_q_emiss)
 
@@ -5425,5 +5421,5 @@
 
     IF (prt_level >=10) THEN
-      print *, 'Convertir les incrementations en tendances '
+      PRINT *, 'Convertir les incrementations en tendances '
     ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5160)
@@ -37,5 +37,5 @@
 
     !$omp single
-    print *, "Call sequence information: press_coefoz"
+    PRINT *, "Call sequence information: press_coefoz"
 
     IF (is_mpi_root) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radiation_AR4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radiation_AR4.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radiation_AR4.F90	(revision 5160)
@@ -9,4 +9,5 @@
   USE lmdz_clesphys
   USE lmdz_yomcst
+  USE lmdz_phys_constants, ONLY: dobson_u
 
   IMPLICIT NONE
@@ -80,7 +81,4 @@
 
   ! * LOCAL VARIABLES:
-
-  REAL, PARAMETER :: dobson_u = 2.1415E-05 ! Dobson unit, in kg m-2
-
   REAL (KIND = 8) zoz(kdlon, kflev)
   ! column-density of ozone in layer, in kilo-Dobsons
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5160)
@@ -53,4 +53,5 @@
     USE lmdz_clesphys
     USE lmdz_yoethf
+    USE lmdz_phys_constants, ONLY: dobson_u
 
 #ifdef REPROBUS
@@ -472,5 +473,4 @@
     !      REAL(KIND=8) SUN(3)
     !      REAL(KIND=8) SUN_FRACT(2)
-    REAL, PARAMETER :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
     CHARACTER (LEN = 80) :: abort_message
     CHARACTER (LEN = 80) :: modname = 'radlwsw_m'
@@ -619,5 +619,5 @@
           !       A activer pour CCMVAL on prend l'ozone impose (MPL 07042010)
           !       POZON(i,k,:) = wo(i,k,:)
-          !       print *,'RADLWSW: POZON',k, POZON(i,k,1)
+          !       PRINT *,'RADLWSW: POZON',k, POZON(i,k,1)
           PCLDLD(i, k) = cldfra(iof + i, k) * cldemi(iof + i, k)
           PCLDLU(i, k) = cldfra(iof + i, k) * cldemi(iof + i, k)
@@ -681,5 +681,5 @@
         DO k = 1, kflev + 1
           DO i = 1, kdlon
-            !     print *,'RADLWSW: boucle mise a zero i k',i,k
+            !     PRINT *,'RADLWSW: boucle mise a zero i k',i,k
             ZFLUP(i, k) = 0.
             ZFLDN(i, k) = 0.
@@ -763,5 +763,5 @@
         zsolswfdiff(:) = -999.999
 
-        !     print *,'Avant SW_LMDAR4: PSCT zrmu0 zfract',PSCT, zrmu0, zfract
+        !     PRINT *,'Avant SW_LMDAR4: PSCT zrmu0 zfract',PSCT, zrmu0, zfract
         ! daylight ozone, if we have it, for short wave
         CALL SW_AEROAR4(PSCT, zrmu0, zfract, &
@@ -904,5 +904,5 @@
              POZON_i(1:klon,k,:)=POZON(1:klon,kflev+1-k,:)
 !!!            POZON_i(1:klon,k)=POZON(1:klon,k)        !!! on laisse 1=sol et klev=top
-             !          print *,'Juste avant RECMWFL: k tsol temp',k,tsol,t(1,k)
+             !          PRINT *,'Juste avant RECMWFL: k tsol temp',k,tsol,t(1,k)
 !!!!!!! Modif MPL 6.01.09 avec RRTM, on passe de 5 a 6      
              DO i=1,6
@@ -911,5 +911,5 @@
           ENDDO
 
-          !       print *,'RADLWSW: avant RECMWFL, RI0,rmu0=',solaire,rmu0
+          !       PRINT *,'RADLWSW: avant RECMWFL, RI0,rmu0=',solaire,rmu0
 
           !  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -996,5 +996,5 @@
 
 
-          !        print *,'RADLWSW: apres RECMWF'
+          !        PRINT *,'RADLWSW: apres RECMWF'
           IF (lldebug) THEN
              CALL writefield_phy('zemtd_i',ZEMTD_i,klev+1)
@@ -1062,5 +1062,5 @@
                 ZLWFT(i,k+1) =-ZFLUX_i(i,2,k+1)-ZFLUX_i(i,1,k+1)
                 ZLWFT0_i(i,k+1)=-ZFLUC_i(i,2,k+1)-ZFLUC_i(i,1,k+1)
-                !        print *,'FLUX2 FLUX1 FLUC2 FLUC1',ZFLUX_i(i,2,k+1),&
+                !        PRINT *,'FLUX2 FLUX1 FLUC2 FLUC1',ZFLUX_i(i,2,k+1),&
                 !    & ZFLUX_i(i,1,k+1),ZFLUC_i(i,2,k+1),ZFLUC_i(i,1,k+1)
              ENDDO
@@ -1152,5 +1152,5 @@
                    zcool_volc(i,k)=(ZLWADAERO(i,k)-ZLWADAERO(i,k+1))*RG/RCPD/PDP(i,k) !NL
                 ENDIF
-                !          print *,'heat cool heat0 cool0 ',zheat(i,k),zcool(i,k),zheat0(i,k),zcool0(i,k)
+                !          PRINT *,'heat cool heat0 cool0 ',zheat(i,k),zcool(i,k),zheat0(i,k),zcool0(i,k)
                 !       ZFLUCUP_i(i,k)=ZFLUC_i(i,1,k)
                 !       ZFLUCDWN_i(i,k)=ZFLUC_i(i,2,k)
@@ -1310,5 +1310,5 @@
 
 
-          print *,'RADLWSW: avant RADIATION_SCHEME '
+          PRINT *,'RADLWSW: avant RADIATION_SCHEME '
 
           ! AI mars 2022
@@ -1446,5 +1446,5 @@
 
 
-          print *,'========= RADLWSW: apres RADIATION_SCHEME ==================== '
+          PRINT *,'========= RADLWSW: apres RADIATION_SCHEME ==================== '
 
           IF (lldebug_for_offline) THEN
